* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.no-gap {
    gap: 0px !important;
}

.border-radius-full {
    border-radius: 100%;
}

.image-thumb {
    width: 144px !important;
    height: 144px !important;
    object-fit: cover !important;
}

.image-thumb-small {
    width: 64px !important;
    height: 64px !important;
    object-fit: contain !important;
}

.index {
    width: 100%;
    height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color: #ededed;
}

.card {
    width: 400px;
    height: 640px;
    background-color: white;
    padding: 55px;
    gap: 21px;
    border-radius: 34px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    opacity: 0;
    transform: translateX(-8px);
    animation: fade-in 0.34s ease-in-out 0s 1 normal forwards;
}

.card_full {
    width: 400px;
    height: 640px;
    background-color: white;
    gap: 21px;
    border-radius: 34px;
    display: flex;
    flex-direction: column;
    align-items: center;
    /* justify-content: center; */
    text-align: center;
    opacity: 0;
    transform: translateX(-8px);
    animation: fade-in 0.34s ease-in-out 0s 1 normal forwards;
}

.card_full.hidden {
    animation: none;
    display: none;
}

.card.hidden {
    animation: none;
    display: none;
}

.hidden {
    display: none !important;
}

@keyframes fade-in {
    0% {
        opacity: 0;
        transform: translateX(-8px);
    }

    100% {
        opacity: 1;
        transform: none;
    }
}

.card img {
    width: 100%;
    height: auto;
    object-fit: cover;
}

.group {
    display: flex;
    padding: 13px 0;
    gap: 13px;
}

.group-col {
    display: flex;
    flex-direction: column;
    padding: 13px 0;
    gap: 13px;
}

.group-col.center {
    align-items: center;
    justify-content: center;
}

.loader-icon {
    width: 64px;
    height: 64px;
    border-radius: 64px;
    border: 3px solid #36b6fa;
    border-top-color: transparent;
    border-left-color: transparent;
    animation: rotate 0.55s linear 0s infinite normal forwards;
}

@keyframes rotate {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}


.button {
    width: 144px;
    padding: 13px;
    color: black;
    text-align: center;
    background-color: #ededed;
    border-radius: 21px;
    transition: background-color 0.34s ease-in-out, color 0.21s ease-in-out;
}

.button.active {
    background-color: #36b6fa;
    color: white;
}

.button:hover {
    background-color: #36b6fa;
    color: white;
}

.button:active {
    background-color: #2e9bd6;
}

h1 {
    font-family: "Inter", sans-serif;
    font-weight: 500;
    font-size: 28px;
}

h2 {
    font-family: "Inter", sans-serif;
    font-weight: 500;
    font-size: 24px;
    padding-top: 5px;
}

p {
    font-family: "Inter", sans-serif;
    font-weight: 500;
    font-size: 16px;
    padding-top: 8px;
}

a {
    font-family: "Inter", sans-serif;
    font-weight: 500;
    font-size: 16px;
    text-decoration: none;
    cursor: pointer;
}

label {
    font-family: "Inter", sans-serif;
    font-weight: 500;
    font-size: 16px;
    padding-top: 8px;
    padding-bottom: 8px;
}

input {
    font-family: "Inter", sans-serif;
    font-weight: 500;
    font-size: 16px;
    padding: 13px 21px;
    border: none;
    background-color: #ededed;
    border-radius: 21px;
    width: 100%;
    transition: border 0.55s ease-in-out;
    border: 3px solid #fff;
}

input.error {
    border-color: #ff9378;
}

@media screen and (max-width: 768px) {

    .card {
        width: 100%;
        height: 100vh;
        border-radius: 0;
        justify-content: center;
        padding: 21px;
    }

    .card_full {
        width: 100%;
        height: 100vh;
        border-radius: 0;
        justify-content: space-between;
    }

    #map {
        height: 80%;
        border-radius: 0;
    }

}

.padded {
    padding: 34px 21px;
}

#map {
    height: 450px; 
    width:100%; 
    border-radius: 21px;
}

.me-dot {
    width: 10px;
    height: 10px;
    background-color: #2e9bd6;
    display: flex;
    border-radius: 10px;
}

.me-dot::before {
    content: "";
    display: flex;
    width: 10px;
    border: 1px solid #2e9bd6;
    opacity: 0;
    border-radius: 10px;
    animation: locate 0.89s linear 0s infinite normal forwards;
}

@keyframes locate {
    0% {
        opacity: 1;
        transform: scale(1);
    }

    100% {
        opacity: 0;
        transform: scale(4);
    }
}





